interface CalculateMessage$1 {
    /** result of the calculation */
    number?: number;
    /** message comment from the operation */
    message?: string;
    /** fake entity id */
    id?: string;
}
interface CalculateRequest$1 {
    /** 1st number to calculate */
    arg1: number;
    /** 2nd number to calculate */
    arg2: number;
    /** operation to perform */
    operation: CalculateOperation$1;
}
declare enum CalculateOperation$1 {
    UNDEFINED = "UNDEFINED",
    ADD = "ADD",
    SUBTRACT = "SUBTRACT"
}
interface CalculateResponse$1 {
    result?: CalculateMessage$1;
}
interface CalculateMessageNonNullableFields$1 {
    number: number;
    message: string;
    id: string;
}
interface CalculateResponseNonNullableFields$1 {
    result?: CalculateMessageNonNullableFields$1;
}

interface CalculateMessage {
    /** result of the calculation */
    number?: number;
    /** message comment from the operation */
    message?: string;
    /** fake entity id */
    _id?: string;
}
interface CalculateRequest {
    /** 1st number to calculate */
    arg1: number;
    /** 2nd number to calculate */
    arg2: number;
    /** operation to perform */
    operation: CalculateOperation;
}
declare enum CalculateOperation {
    UNDEFINED = "UNDEFINED",
    ADD = "ADD",
    SUBTRACT = "SUBTRACT"
}
interface CalculateResponse {
    result?: CalculateMessage;
}
interface CalculateMessageNonNullableFields {
    number: number;
    message: string;
    _id: string;
}
interface CalculateResponseNonNullableFields {
    result?: CalculateMessageNonNullableFields;
}

type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
declare function calculate(): __PublicMethodMetaInfo<'POST', {
    arg1: string;
    arg2: string;
    operation: string;
}, CalculateRequest, CalculateRequest$1, CalculateResponse & CalculateResponseNonNullableFields, CalculateResponse$1 & CalculateResponseNonNullableFields$1>;

export { type __PublicMethodMetaInfo, calculate };
