export interface CalculateMessage {
    /** result of the calculation */
    number?: number;
    /** message comment from the operation */
    message?: string;
    /** fake entity id */
    id?: string;
}
export interface CalculateRequest {
    /** 1st number to calculate */
    arg1: number;
    /** 2nd number to calculate */
    arg2: number;
    /** operation to perform */
    operation: CalculateOperation;
}
export declare enum CalculateOperation {
    UNDEFINED = "UNDEFINED",
    ADD = "ADD",
    SUBTRACT = "SUBTRACT"
}
export interface CalculateResponse {
    result?: CalculateMessage;
}
interface CalculateMessageNonNullableFields {
    number: number;
    message: string;
    id: string;
}
export interface CalculateResponseNonNullableFields {
    result?: CalculateMessageNonNullableFields;
}
export {};
